org.apache.mina.statemachine.transition

## Class MethodInvocationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.mina.statemachine.transition.MethodInvocationException

- All Implemented Interfaces:
    Serializable

      public class MethodInvocationException
      extends RuntimeException

  Thrown by `MethodTransition` if the target method couldn't be invoked or threw an exception.
  Author:
    Apache MINA Project
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodInvocationException(Method method, Throwable cause)` Creates a new instance for the specified `Method` and `Throwable`.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodInvocationException

          public MethodInvocationException(Method method,
                                   Throwable cause)

      Creates a new instance for the specified `Method` and `Throwable`.
      Parameters:
        `method` - the `Method`.
        `cause` - the reason.

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.